BlitzMax on Raspbian


Tweet blitzmax blitzmax-ng linux raspberry-pi
(Posted 5 months ago) RonTek

Here's how to get BlitzMax 1.50 in Raspbian running and get started in 2D and 3D Easy Game Development!

Tested with Raspbian Sep. 2019 64-bit (screenshot)

Make sure your system is up to date (sudo apt-get update)

Installation

  1. Download BlitzMax 1.50 Linux here
  2. Unzip to your preferred folder (ex: /home/pi/BlitzMax)
  3. Run
    sudo apt install g++ libglu1-mesa-dev libasound2-dev libfreetype6-dev libxpm-dev libxft-dev libxxf86vm-dev libpulse-dev libopenal-dev libwebkitgtk-dev libaudio-dev libesd0-dev libwebkit2gtk-4.0-dev libgtk-3-dev
  4. In BlitzMax folder, run ./MaxIDE to open MaxIDE Editor
  5. Go to Program then Build Modules
  6. Open any examples then Build and Run Ctrl+R.

Note: If you are getting missing DSO build errors, add Import "-ldl" to your code.

Image

Reply To Topic (minimum 10 characters)

Please log in to reply